# special_function_util.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file special_function_util.h.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1
- namespace std::tr1::__detail

## Classes

- struct std::tr1::__detail::__floating_point_constant< _Tp >
    type logic. More...
- struct std::tr1::__detail::__numeric_constants< _Tp >
    A structure for numeric constants. More...

## Defines

- #define _GLIBCXX_TR1_SPECIAL_FUNCTION_UTIL_H

## Functions

- template<typename _Tp> bool std::tr1::__detail::__isnan (const _Tp __x)
- template<> bool std::tr1::__detail::__isnan< float > (const float __x)
- template<> bool std::tr1::__detail::__isnan< long double > (const long double __x)